# 1. Physical Layer
This layer is responsible for the actual physical transfer of data between devices via cables or other mediums using switches, routers, etc..

This layer also converts the data into a bit-stream of 1's and 0's. 

The signal convention must be the same on both devices. (Meaning of a 0 and a 1)

## In depth
Information on computers is stored in a digital format. To transmit this information we have to convert the information to signals.

Physical layer is responsible for this conversion. The Physical layer deals with the actual physical transmission of electrical signals.

You could say the physical layer is a bridge between real life and software.

## Waves
Waves, like you would see on a lake, or in electrical cables are made when a physical quantity changes in the form of a moving ridge.

Waves by them self store no real information.

## Signal
A signal is a wave (carrier) that holds information. (wave + data = signal)

The carrier is a type of wave we add our information to. In most cases a sine wave is used as a carrier wave,

![[encoder.png]]

A encoder converts analog or digital information in signals that can be transmitted across different [[Comminucation Mediums]]

The process of adding data to a carrier wave is called Modulation

## Modulation
Adding data to carrier waves is called modulation.

This can be done in 3 different ways.

### Amplitude
![[modulation-amplitude.png]]

Amplitude or the strength (height) of a wave changes over time.

### Frequency
![[modulation-frequency.png]]

Frequency is the amount of waves that pass a fixed point in a given amount of time.

### Phase
![[modulation-phase.png]]

Phase specifies the location or timing of a point within a wave cycle of a repetitive waveform.

![[modulation-phase-2.png]]

## Analog data


## Digital data